import React from 'react'

const TodoItem = ({ children, complete }) => {

  const className = `todos ${complete ? 't-complete' : ''}`

  return (
    <div className="task">
      <div className="task-body-content">
        <div style={{ display: 'flex' }}>
          <input type='checkbox' defaultChecked={complete}></input>
          <span style={{ cursor: 'pointer' }} className={className}>{children}</span>
        </div>
      </div>
    </div >
  )
}

export default TodoItem

